Get a list of Installs

Query Params
int32
Defaults to 25

Controls the number of records returned in a single request. If no value is provided, per_page default will be 25 records. If a value is provided that is less than 1, then the default per_page of 25 will be used. While Enerflo does not enforce a max value, if your call is unsuccessful, try reducing your per_page value. (The payload size of installation records can vary. If the total API response exceeds 512mb the response will fail. This can easily be mitigated by paginating your responses.)

int32
Defaults to 1

If total records is greater than your per_page value, then you can jump to any given page in the response by specify the page number. If no page value is provided, then a default value of 1 is used.

string
enum

The default ordering is DESC. To reverse the sort direction, preface the field with "-". For example:
sort_by=company.name -- DESC
sort_by=-company.name -- ASC

string
enum

Instructs the api how to apply logic if multiple filters are provided (ie filter[filters][0], filter[filters][1], etc).

Allowed:
string
enum
string
enum

contains - The target field matches any part of the value you provide (case insensitive).

doesnotcontain - The target field does NOT match any part of the value you provide (case insensitive).

endswith - The last characters of the target field match the value you provide (case insensitive).

eq - Equal to.

gt - Greater than.

gte - Greater than or equal to.

in - In (accepts an array of inputs).

isempty - Is empty (ie, "").

isnotempty - Is not empty (ie, "").

isnotnull - Is not NULL.

isnotnullorempty - Is NOT either NULL or empty (ie, there is a non-null, non-empty value).

isnull - Is NULL.

isnullorempty - Is NULL or is empty.

lt - Less than. Note that while nulls are included in sorted list before any non-null values, if a comparison operation in performed, nulls are not included.

lte - Less than or equal to. *Same note regarding nulls.

neq - Not equal to.

startswith - The first characters of the target field match the value you provide (case insensitive).

supported operators include - additional operator information

string
int32

The Enerflo UI enables the creation of customized reports based on the default Install Tracker (accessible at https://enerflo.io/installs/list/). When you provide a report_id value to the API, it overrides the pagination and filter inputs and utilizes the report definition as configured in the Enerflo UI. Your report_id value can be obtained from the URI path of any existing report(for example, https://enerflo.io/installs/list/{report_id}).

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json